create_sheet_to_ground#

Modeler3D.create_sheet_to_ground(assignment, ground_name=None, orientation=0, sheet_dim=1)[source]#

Create a sheet between an object and a ground plane.

The ground plane must be bigger than the object and perpendicular to one of the three axes.

Parameters:
assignmentstr

Name of the object.

ground_namestr, optional

Name of the ground. The default is None, in which case the bounding box is used.

orientationint, optional

Axis direction. Options are 0 through 5. The default is 0.

sheet_dimoptional

Sheet dimension in millimeters. The default is 1.

Returns:
int

ID of the sheet created.

References

>>> oEditor.CreatePolyline